org.apache.ignite.internal.processors.cache.persistence

## Interface DbCheckpointListener.Context

Enclosing interface:
  DbCheckpointListener

    public static interface DbCheckpointListener.Context

Context with information about current snapshots.

### Method Summary

All Methods Instance Methods Abstract Methods
`Executor` `executor()`
`boolean` `needToSnapshot(String cacheOrGrpName)`
`boolean` `nextSnapshot()`
`PartitionAllocationMap` `partitionStatMap()`

### Method Detail

#### nextSnapshot

    boolean nextSnapshot()

#### partitionStatMap

    PartitionAllocationMap partitionStatMap()

Returns:
  Partition allocation statistic map

#### needToSnapshot

    boolean needToSnapshot(String cacheOrGrpName)

Parameters:
  `cacheOrGrpName` - Cache or group name.

#### executor

    @Nullable
    Executor executor()

Returns:
  Context executor.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019